D4Science Infrastructure - Task #6801

Install mdbtools
Feb 02, 2017 09:52 AM - Paul Taconet
Assignee: Andrea Dell'’Amico % Done: 100%
Category: Estimated time: 0.00 hour
Target version: System Configuration
Infrastructure: Development, Pre-Production,

Production
Description

| need to open an MS Access database from R Studio.
For this, | have this piece of code that is working on my computer (Linux):

library(Hmisc)

path_to_iccat_access_db<-"/home/ptaconet/Bureau/Sardara_R_scripts/OriginalData_ TRFMOs/ICCAT_2016_11/CE/t2ce_20161114
web.mdb"

t2ce<-mdb.get(path_to_iccat_access_db,tables="t2ce’")

The Hmisc library needs mdb-tools to work correctly (as explained here:
http://svitsrv25.epfl.ch/R-doc/library/Hmisc/html/mdb.get.html and showed on the attached picture)

Is is possible to install the mdb-tools on the machine?

Regards,
Paul

History

#1 - Feb 02, 2017 10:41 AM - Pasquale Pagano

- Assignee changed from Pasquale Pagano to Andrea Dell’Amico

@andrea.dellamico@isti.cnr.it can you check if we can install the reported tool on RStudio and Data miner instances?

#2 - Feb 02,2017 12:52 PM - Andrea Dell'Amico
- Status changed from New to Feedback

- % Done changed from 0 to 100

I've just added mdbtools and odbc-mdbtools to the list of packages that have to be installed on every dataminer and rstudio server.
They should be already present everywhere, or they will be in the next 10 minutes.

Let me know if it works.

#3 - Feb 02, 2017 06:12 PM - Andrea Dell'Amico
- Tracker changed from Support to Task

- Infrastructure Pre-Production added

#4 - Feb 10, 2017 06:04 PM - Andrea Dell'’Amico
- Status changed from Feedback to Closed
